﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace TileViewWithFluidContentControl
{
	public class TileViewModel : INotifyPropertyChanged
	{
		public string Header { get; set; }
		public string NormalContent { get; set; }
		public string LargeContent { get; set; }

        private string smallContent;
        public string SmallContent
        {
            get
            {
                return this.smallContent;
            }
            set 
            {
                if (this.smallContent != value)
                {
                    this.smallContent = value;
                    this.NotifyPropertyChanged("SmallContent");
                }
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        private void NotifyPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
